#
# spec file for package python-parallax
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}

Name:           python-parallax
Version:        1.0.3
Release:        lp150.1.3
Summary:        Execute commands and copy files over SSH to multiple machines at once
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            https://github.com/krig/parallax/
Source:         https://files.pythonhosted.org/packages/1c/21/acd162b334561a1989310d149407b7d6cd2ac7d51b7fae35cd897ed72ef7/parallax-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       openssh
BuildArch:      noarch
%if 0%{?suse_version}
Requires(post):   update-alternatives
Requires(postun): update-alternatives
%else
Requires(post):   /usr/sbin/update-alternatives
Requires(postun): /usr/sbin/update-alternatives
%endif

%description
Parallax SSH provides an interface to executing commands on multiple
nodes at once using SSH. It also provides commands for sending and receiving files to
multiple nodes using SCP.

%python_subpackages

%prep
%setup -q -n parallax-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/parallax-askpass

%fdupes %{buildroot}%{_prefix}

%post
%python_install_alternative parallax-askpass

%postun
%python_uninstall_alternative parallax-askpass

%files %{python_files}
%defattr(-,root,root,-)
%doc AUTHORS README.md COPYING
%{python_sitelib}/parallax
%{python_sitelib}/parallax-%{version}*.egg-info
%python_alternative %{_bindir}/parallax-askpass

%changelog
* Fri Nov  3 2017 kgronlund@suse.com
- Release 1.0.3
- Add to_ascii function to convert byte message to str (bsc#1066330)
* Mon Aug 28 2017 kgronlund@suse.com
- Release 1.0.2
- Switch to new singlespec packaging
* Thu Dec  8 2016 kgronlund@suse.com
- Fix broken build for non-SUSE distributions (again)
* Mon Aug 15 2016 toddrme2178@gmail.com
- Fix update-alternatives implementation.
* Wed Apr 27 2016 kgronlund@suse.com
- Fix broken package build for non-SUSE distributions
* Mon Mar  7 2016 kgronlund@suse.com
- Add alternatives entry for parallax-askpass
* Fri Jun 12 2015 kgronlund@suse.com
- Release 1.0.1
  + The host list expander function was not unicode-safe (bsc#934594)
  + Clean up and update documentation for Options.inline (#1)
  + Fix python3 error using askpass option (krig/parallel-ssh#1)
* Thu Feb 12 2015 kgronlund@suse.com
- Release 1.0.0a3
  - Be more accepting with format of limit argument
  - Fix incorrect name of options attribute
* Sat Jan  3 2015 p.drouand@gmail.com
- Fix license to be SPDX compliant; applied license is BSD3 derived
* Thu Dec 25 2014 kgronlund@suse.com
- Release 1.0.0a2
  - Prepend hostname on each line when -P is set (fate#318220)
  - Fix quiet option after API patch
* Thu Nov 20 2014 kgronlund@suse.com
- Revised packaging
- Removed dependency on xz
* Wed Oct 15 2014 kgronlund@suse.com
- Initial release.
